# Checkboxes

Home Search

## Checkboxes

- Basics
- Options
- Methods
- Events

The checkbox has the following methods:

`enable` enable a disabled checkbox

       $("input[type='checkbox']").checkboxradio('enable');

`disable` disable a select.

      $("input[type='checkbox']").checkboxradio('disable');

`refresh` update the custom select
  If you manipulate a checkbox via JavaScript, you must call the refresh method on it to update the visual styling.

      $("input[type='checkbox']:first").attr("checked",true).checkboxradio("refresh");

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms